#--------------------------------------------------
#  bmp2png.exe & png2bmp.exe
#  makefile for Borland C++ Compiler 5.5 (MASTER)
#--------------------------------------------------

MAKEFILE = makefile.bcc
CDEXEC = $(TMP)\__cdexec.bat

!if "$(TMP)" == ""
TMP = .
!endif

# ----------------------------------------------------------------------

all: bmp2png

bmp2png: $(CDEXEC)
	@$(CDEXEC) zlib    $(MAKE) -f$(MAKEFILE)
	@$(CDEXEC) libpng  $(MAKE) -f$(MAKEFILE)
	@$(CDEXEC) bmp2png $(MAKE) -f$(MAKEFILE)

$(CDEXEC):
	@echo @echo off                > $(CDEXEC)
	@echo cd %1                   >> $(CDEXEC)
	@echo %2 %3 %4 %5 %6 %7 %8 %9 >> $(CDEXEC)

mostlyclean: $(CDEXEC)
	@$(CDEXEC) zlib    $(MAKE) -f$(MAKEFILE) mostlyclean
	@$(CDEXEC) libpng  $(MAKE) -f$(MAKEFILE) mostlyclean
	@$(CDEXEC) bmp2png $(MAKE) -f$(MAKEFILE) mostlyclean
	@del $(CDEXEC)

clean: $(CDEXEC)
	@$(CDEXEC) zlib    $(MAKE) -f$(MAKEFILE) clean
	@$(CDEXEC) libpng  $(MAKE) -f$(MAKEFILE) clean
	@$(CDEXEC) bmp2png $(MAKE) -f$(MAKEFILE) clean
	@del $(CDEXEC)

# ----------------------------------------------------------------------

